<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('leave_ledgers', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('employee_id', 50)->index();
            $table->string('company_id', 50)->index();
            $table->string('dealer_id', 50)->index();
            $table->unsignedInteger('leave_id')->index()->nullable();
            $table->date('date_from');
            $table->date('date_to');
            $table->decimal('credit', 12, 2);
            $table->decimal('hours', 12, 2);
            $table->string('leave_type', 50);
            $table->date('date_applied');
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('leave_ledgers');
    }
};
